* {
    box-sizing: border-box;
    margin: 0%;
    padding: 0%;
    text-decoration: none;
    color: white;
    letter-spacing: 0.5px;
    font-family: 'Roboto Condensed', sans-serif;

}

#bgimage img {
    position: fixed;
    top: 0;
    left: 0%;
    width: 100%;
    z-index: -5;
}

body {
    background-color: black;
    /* background-image: url(/images/10007.png);
    background-repeat: no-repeat;
    background-size: cover; */
    /* background-position: center; */
}

body::-webkit-scrollbar {
    background-color: #000000;
    width: 10px;
}

body::-webkit-scrollbar-thumb {
    background-color: #383838;
    border-radius: 50px;
}

#footer-section {
    margin-top: 0vh;
}

#footer-text {
    text-align: center;
    font-size: 30px;
    color: #ffffff;
}

#footer-text-p {
    text-align: center;
    color: #ffffff;
}

#mobile-links {
    display: none;
}

#main {
    margin-left: 35vh;
    margin-top: 15px;
}

#main-navigation-section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-right: 60px;
    background: transparent;
}

#account a {
    background-color: white;
    color: black;
    padding: 8px 20px;
    border-radius: 100px;
}

#search-input {
    display: flex;
    align-items: center;
}

input {
    background: #41414180;
    color: #ffffff;
    padding: 12px 25px;
    border-right: none;
    border-top: 1px solid #ffffff81;
    border-left: 1px solid #ffffff81;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
    width: 40vh;
    font-size: 15px;
    letter-spacing: 1.5px;
}

#search-input i {
    background: #41414180;
    color: #ffffff;
    padding: 13.5px 25px;
    border-left: 1px solid #ffffff81;
    border-top: 1px solid #ffffff81;
    border-right: 1px solid #ffffff81;
    border-bottom: 1px solid #ffffff81;
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}

#side-section {
    position: fixed;
    top: 0;
    left: 0;
    padding: 20px 10px;
    width: 16rem;
    height: 100vh;
    border-right: .1px solid #ffffff42;
    background-color: #00000088;
}


#logo {
    display: flex;
    align-items: center;
    gap: 20px;
    padding: 10px 20px;

}

.mobile-logo img {
    display: none;
}

#logo i {
    font-size: 24px;
    cursor: pointer;
}

#side-links {
    margin-top: 35px;
}

#link a {
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 12px 22px;
    margin: 10px 0;
    font-size: 18px;
}

#link i {
    font-size: 22px;
}

#link:hover {
    background-color: #383838;
    border-radius: 10px;
}

.active {
    background-color: #252525;
    border-radius: 10px;
}

#playlist a {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background-color: rgb(37, 37, 37);
    border-radius: 50px;
    padding: 10px 0;
}

#playlist a:hover {
    background-color: #383838;
}

hr {
    border-color: black;
}

#quick-search-section {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 1rem;
    overflow: auto;
    padding-bottom: 20px;
}

#quick-explore-section {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 50px;
}

#quick-explore-section h1 {
    font-size: 80px;
    letter-spacing: 10px;
    padding-bottom: 5vh;
}

#explore-links a {
    background-color: #00000088;
    padding: 10px 50px;
    border-radius: 10px;
    letter-spacing: 5px;
    font-size: 30px;
    border: none;
}

#explore-links.active {
    background-color: #000000;
    padding: 8px 0px;
    border-radius: 10px;
}

#explore-links a:hover {
    background-color: #000000;
}

#quick-search-section::-webkit-scrollbar {
    background: transparent;
    height: 8px;
}

#quick-search-section::-webkit-scrollbar-thumb {
    background-color: #000000;
    border-radius: 50px;
}

#search-links a {
    background-color: #0000004c;
    padding: 8px 20px;
    border-radius: 10px;
    border: none;
}

#search-links.active {
    background-color: #000000;
    padding: 8px 0px;
    border-radius: 10px;
}

#search-links a:hover {
    background-color: #000000;
}

#recomended-section {
    margin-top: 5vh;
}

#rec-songs {
    display: flex;
    align-items: center;
    gap: 30px;
    overflow: auto;
    padding-bottom: 20px;
}

#rec-songs::-webkit-scrollbar {
    background: transparent;
    height: 10px;
}

#rec-songs::-webkit-scrollbar-thumb {
    background-color: #383838;
    border-radius: 50px;
}

#recomended-section h2 {
    margin-bottom: 2vh;
}

#music {
    position: relative;
}

.music-title {
    background-color: #252525;
    border-radius: 10px;
    padding: 10px;
    margin-top: 1vh;
}

#music button {
    position: absolute;
    right: 2vh;
    top: 14vh;
    background-color: #252525;
    border: none;
    padding: 8px 20px;
    border-radius: 10px;
    cursor: pointer;
}

button {
    background-color: #252525;
    border: 1px solid black;
    padding: 8px 20px;
    border-radius: 10px;
}

#music #pause {
    display: none;
}

#music img {
    width: 180px;
    border-radius: 10px;
}

#music .song-title {
    text-transform: capitalize;
    letter-spacing: 1px;
}

#music .song-desc {
    text-transform: capitalize;
    letter-spacing: 1px;
    color: #a3a3a3;
    font-size: 15px;
}

@media screen and (max-width: 1024px) {
    #music button {
        position: absolute;
        right: 2vh;
        top: 8vh;
        background-color: #252525;
        border: none;
        padding: 8px 20px;
        border-radius: 10px;
        cursor: pointer;
    }

    #side-section {
        position: fixed;
        top: 0;
        left: 0;
        padding: 20px 10px;
        width: 16rem;
        height: 100vh;
        border-right: .1px solid #ffffff42;
        background-color: #00000088;
    }

    #main {
        margin-left: 22vh;
        margin-top: 15px;
    }
}

@media screen and (max-width: 1023px) {
    #music button {
        position: absolute;
        right: 2vh;
        top: 8vh;
        background-color: #252525;
        border: none;
        padding: 8px 20px;
        border-radius: 10px;
        cursor: pointer;
    }

    #side-section {
        position: fixed;
        top: 0;
        left: 0;
        padding: 20px 10px;
        width: 16rem;
        height: 100vh;
        border-right: .1px solid #ffffff42;
        background-color: #00000088;
    }

    #main {
        margin-left: 35vh;
        margin-top: 15px;
    }
}

@media screen and (max-width: 900px) {

    #side-section {
        position: fixed;
        top: 0;
        left: 0;
        padding: 20px 10px;
        width: 12rem;
        height: 100vh;
        border-right: .1px solid #ffffff42;
    }

    #main {
        margin-left: 26vh;
        margin-top: 15px;
    }

    input {
        background: #41414180;
        color: #ffffff;
        padding: 12px 25px;
        border-right: none;
        border-top: 1px solid #ffffff81;
        border-left: 1px solid #ffffff81;
        border-bottom-left-radius: 10px;
        border-top-left-radius: 10px;
        width: 30vh;
        font-size: 15px;
        letter-spacing: 1.5px;
    }

    #account a {
        background-color: white;
        color: black;
        padding: 8px 20px;
        border-radius: 100px;
    }

    #main-navigation-section {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-right: 20px;
        /* background-color: black; */
    }
}

@media screen and (max-width: 820px) {
    #music button {
        position: absolute;
        right: 2vh;
        top: 10vh;
        background-color: #252525;
        border: none;
        padding: 8px 20px;
        border-radius: 10px;
        cursor: pointer;
    }
}

@media screen and (max-width: 670px) {

    #side-section {
        position: fixed;
        top: 0;
        left: 0;
        padding: 20px 10px;
        width: 7rem;
        height: 100vh;
        border-right: .1px solid #ffffff42;
    }

    #main {
        margin-left: 16vh;
        margin-top: 15px;
    }

    input {
        background: #41414180;
        color: #ffffff;
        padding: 12px 25px;
        border-right: none;
        border-top: 1px solid #ffffff81;
        border-left: 1px solid #ffffff81;
        border-bottom-left-radius: 10px;
        border-top-left-radius: 10px;
        width: 30vh;
        font-size: 15px;
        letter-spacing: 1.5px;
    }

    #account a {
        background-color: white;
        color: black;
        padding: 8px 20px;
        border-radius: 100px;
    }

    #main-navigation-section {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-right: 20px;
        /* background-color: black; */
    }

    #desktop-links {
        display: none;
    }

    #mobile-links {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    #logo {
        display: flex;
        align-items: center;
        padding: 10px 0px;

    }
}

@media screen and (max-width: 540px) {
    #main {
        margin-left: 20vh;
        margin-top: 15px;
    }

    #music button {
        position: absolute;
        right: 2vh;
        top: 15vh;
        background-color: #252525;
        border: none;
        padding: 8px 20px;
        border-radius: 10px;
        cursor: pointer;
    }
}

@media screen and (max-width: 670px) {
    input {
        background: #41414180;
        color: #ffffff;
        padding: 12px 25px;
        border-right: none;
        border-top: 1px solid #ffffff81;
        border-left: 1px solid #ffffff81;
        border-bottom-left-radius: 10px;
        border-top-left-radius: 10px;
        width: 20vh;
        font-size: 15px;
        letter-spacing: 1.5px;
    }
}

@media screen and (max-width: 500px) {
    input {
        display: none;
    }

    #search-input i {
        display: none;
    }

    #account a {
        background-color: white;
        color: black;
        padding: 8px 20px;
        border-radius: 100px;
    }
}

@media screen and (max-width: 430px) {
    input {
        display: none;
    }

    #search-input i {
        display: none;
    }

    #side-section {
        display: none;
    }

    #main {
        margin-left: 2vh;
        margin-top: 15px;
    }

    #account a {
        background-color: white;
        color: black;
        padding: 8px 20px;
        border-radius: 100px;
    }

    .mobile-logo img {
        display: block;
    }
}